The Quiz module lets you create graded assessments in Drupal. A Quiz is given as a series of questions. Answers are then stored in the database. Scores and results are displayed during or after the quiz. Administrators can provide automatic or manual feedback. See all the features below! This module can be used as

*   an object in a larger LMS, or a supplemental classroom activity
*   a standalone activity (audio, video, rich text in questions/answers)
*   a self-learning program, using adaptive mode with multiple answer tries
*   a training program, with multiple improving attempts

## Features

*   *Improved DX, coding standards/style, The Drupal Way!™
*   *Extensive Views, Rules integration through Entity API
*   Integration with H5P in 4.x making 20+ [content types](http://h5p.org/content-types-and-applications) available
*   *OO support for all Quiz components
*   *Huge cleanup and refactor from 4.x
*   *Multiple result & granular feedback options
*   *Pre-attempt questionnaires (through Field API)
*   *Views & bulk operations for managing questions/results
*   *Drag and drop ordering of questions/answers/pages
*   *Configurable questions per page
*   *Devel generate support (dummy Quiz/Question/Result data)
*   Question randomization, from pool or category
*   Certainty-based marking
*   Multiple attempts per user
*   *Stability from new test cases (2400+ assertions)
*   *Adaptive mode feedback
*   *Build on last attempt mode
*   Timed quizzes
*   Question reuse across multiple Quizzes
*   Robust Quiz/Question versioning
*   *Smooth upgrade from 7.x-4.x
*   *Better upgrade path to D8
*   *Improved AJAH quiz
*   And many more...

(* new in 7.x-5.x)

## 7.x-5.0 todo

[Issue Queue](https://www.drupal.org/project/issues/search/quiz?project_issue_followers=&status[]=1&status[]=13&status[]=8&issue_tags_op=%3D&issue_tags=7.x-5.0+release+blocker)

## Roadmap

*   [#2378365]
    *   Create multiple types of quizzes!
    *   Custom quiz defaults per type
    *   Optionally remove node dependency
*   [#2378359]
    *   Create multiple types of questions!
    *   Varying content fields per question
    *   Create audio questions, video questions, etc.

## Quiz 7.x-6.x

*   While 7.x-5.x has an upgrade path from 7.x-4.x, and does not introduce any major API-breaking changes, 7.x-6.x is a completely new architecture not compatible with 5.x.
*   If you have not modified or built upon 4.x or 5.x, chances are you will be able to upgrade to 6.x no problem. Other sites may have issues.
*   6.x will contain all the functionality of 5.x, as covered by the tests.
*   See all the [Change records](https://www.drupal.org/list-changes/quiz) for what to expect.

## Question types included

*   Integration with H5P in 4.x makes 20+ [H5P content types](http://h5p.org/content-types-and-applications) available
*   True or false
*   Multiple choice
*   Short answers
*   Long answers
*   Scale
*   Question directions
*   Matching
*   Drag and drop (with lines)  
     **This question type moved to https://www.drupal.org/project/quiz_ddlines**

## Quiz addons

*   [Charts](http://drupal.org/project/charts) - used by Quiz stats to render some useful data
*   [jQuery Countdown](http://drupal.org/project/jquery_countdown) - provides jQuery timer for timed quizzes
*   [Views Data Export](http://drupal.org/project/views_data_export) - export Quiz results and user answers

## Other modules we like

*   [H5P - HTML5 learning objects(integration included in 4.x)](https://www.drupal.org/project/h5p)
*   [Course](https://www.drupal.org/project/course) - put multiple quizzes together
*   [Certificate](https://www.drupal.org/project/certificate) - award a certificate after passing a Quiz

Check out the [Quiz affiliated modules wiki](http://groups.drupal.org/node/177684) to see a fuller list of modules that extend quiz.

## Support

We have a big community supporting Quiz, and it's getting bigger! Let's make this the best assessment engine, ever. [IRC](https://drupal.org/irc), in #drupal-course (for Quiz, Course, Certificate module support) [IRC](https://drupal.org/irc), in #drupal-edu (general edu talk) [Drupal groups](https://groups.drupal.org/quiz) [The issue queue](https://www.drupal.org/project/issues/quiz)

## Help out

We are looking for large 6.x-4.x or 7.x-4.x sites that would be willing to beta test the upgrade to 7.x-5.0 and find functionality gaps. Please [contact me](https://www.drupal.org/user/701754/contact) if you would like to help out. Please continue to help out with cleaning up the issue queue! https://drupal.org/node/2280951 Have a feature request? Please open an issue in the issue queue!

## Which version?

*   7.x-5.x is a huge refactor of 7.x-4.x which will provide more D7-enhanced functionality, and reduce technical debt for 7.x-6.x and 8.x-x.x planning. You can [read all about it here](https://drupal.org/node/2236419).
*   There is a clean upgrade path from 4.x to 5.x.
*   Version 4.x is more stable and is integrated with H5P providing 20 + extra content types

## Drupal 8

Want a Drupal 8 version? Help us finish [7.x-5.0 release blockers](https://www.drupal.org/project/issues/search/quiz?project_issue_followers=&status[]=1&status[]=13&status[]=8&status[]=14&version[]=7.x)!

## Credits

Many users have contributed lots of feature requests and bug reports. Previous maintainers also deserve a lot of credit! Join the Quiz group at http://groups.drupal.org/quiz to get involved! **Quiz is currently being sponsored by:** djdevin@[DLC Solutions](http://www.dlc-solutions.com)/[EthosCE](http://www.ethosce.com) for the 7.x-5.x branch **Previous sponsors** [The e-learning company Amendor](http://amendor.com) [The Norwegian Centre for ICT in Education](http://iktsenteret.no/english) [Norwegian Centre for Integrated Care and Telemedicine](http://telemed.no/)
